GNU logs - #51143, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Eduardo Ochs <eduardoochs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 02:46:02 +0000
Resent-Message-ID: <handler.51143.B.163400673310137 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 51143 <at> debbugs.gnu.org, michael_heerdegen@HIDDEN
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN, Michael Heerdegen <michael_heerdegen@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.163400673310137
          (code B ref -1); Tue, 12 Oct 2021 02:46:02 +0000
Received: (at submit) by debbugs.gnu.org; 12 Oct 2021 02:45:33 +0000
Received: from localhost ([127.0.0.1]:33094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ma7nA-0002dF-26
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 22:45:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:44448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduardoochs@HIDDEN>) id 1ma7n8-0002d5-0Y
 for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 22:45:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33256)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eduardoochs@HIDDEN>)
 id 1ma7n1-00055p-VE
 for bug-gnu-emacs@HIDDEN; Mon, 11 Oct 2021 22:45:20 -0400
Received: from mail-ed1-x532.google.com ([2a00:1450:4864:20::532]:42563)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eduardoochs@HIDDEN>)
 id 1ma7mx-0008CE-Mc
 for bug-gnu-emacs@HIDDEN; Mon, 11 Oct 2021 22:45:14 -0400
Received: by mail-ed1-x532.google.com with SMTP id t16so53231217eds.9
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Oct 2021 19:45:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=w3lEmvJSDJuuPQOTeH5ynbBnemMYfbRoLZZhTtwIXxE=;
 b=FjeJpdOIQgIXq6PJj8zSr6iEdu2j1eTbrUvrP+/rGRsKNWcTnqOvxQrB+SyhgrG3tQ
 78++Mk6646eZ+PGOozmCdx2lBnb5iDIXO4qmX8Udw/2hXfYyqeuErQdbXR9659RPSQGs
 piSqNZdgbHpK11vrMfvLwrVRK2uSqn24j+/CZasd7+4ZuZI45HGZyMeP64ijX3CYUSGX
 0cDQWMijEBTKy/FvMNJ3gBhFXiMiuIedioVkhBeuCHkO571djcHrwRliAQi4Zr71g51m
 QWMAEA65agH51WbUs0iEAcTrGb9a9Em0tpl7PXop4YqYrLRKj5bmvX7ng3EYuSAe0oua
 taJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=w3lEmvJSDJuuPQOTeH5ynbBnemMYfbRoLZZhTtwIXxE=;
 b=LXjkfxM4F34ef0feN3toqMx3l430QPf2RoyqOSlWmTHieB8rBQqbRYy6FWKNJx1aJQ
 3ThoLMUvrTYCu37p/6zqSFRuPMNj4PqkkhbadIR4lmVxLzq89JEfTbgB1iRAkeaO5AgS
 i7WCXtdS/bzwvP7LTfLv1axu1xUO/7mS16Up5vK2sG0b/O6mpTd3ZuXqLsDgTygEK9Ex
 Hgeff1opghBQXAO7G2zeqQdCJQhcSAibxZvpmQlwxuZN149qvQRNoWXwec/HEW7Ch9mo
 dPzceCc+yGZFMtieJPuUdZjuizmAToDm5LjAl5+fLbVLTzFNIXqV9M6Xq7HcF2NiNtAd
 /M0A==
X-Gm-Message-State: AOAM533ejcM3lxcOpZoxOgwbqIkYinywtNoXGCeboTOUVimYfsF+Y/lo
 E5hBcRPfp0Zly6ver/TtaqDpDQQ/RClnjHjLKYqpfpLQFnQ=
X-Google-Smtp-Source: ABdhPJw2ZL/EUDMcLhvpH5/Xx/GRmL/mxvVoD7THKSrbMUmiS7VlqFMUGz95L2OqWKTainJokx6XwpFgrBrh+9fEIwA=
X-Received: by 2002:a17:906:d937:: with SMTP id
 rn23mr30507128ejb.101.1634006708689; 
 Mon, 11 Oct 2021 19:45:08 -0700 (PDT)
MIME-Version: 1.0
From: Eduardo Ochs <eduardoochs@HIDDEN>
Date: Mon, 11 Oct 2021 23:44:57 -0300
Message-ID: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::532;
 envelope-from=eduardoochs@HIDDEN; helo=mail-ed1-x532.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I noticed that when I was invoking commands with M-x commandname and
using tab for completing parts of the name then sometimes there would
be a long delay - sometimes as long as 10 seconds, but my laptop is
quite old - between the RET and the execution of the command. This
delay was big on emacs28 and practically imperceptible on emacs27, and
it seemed that it was getting worse in more recent versions of
emacs28/29.

I discussed this on help-gnu-emacs before submitting a bug report. The
main links are these ones:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00232.html Edrx
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00259.html MH
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00261.html Edrx 2
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Let me summarize. The part of "M-x commandname" that takes a long time
is the call to `execute-extended-command--shorter' - like this:

  (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")

Michael Heerdegen was able to reproduce the problem and profile it.
See this message:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Cheers,
  Eduardo Ochs
  http://angg.twu.net/#eev



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.24, cairo version 1.16.0)
 of 2021-10-09 built on scylla
Repository revision: cc202c713be60355dbcf4e5ea87603c5e16a92db
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-modules'

(etc etc)




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Eduardo Ochs <eduardoochs@HIDDEN>
Subject: bug#51143: Acknowledgement (29.0.50; Long delay after M-x
 commandname)
Message-ID: <handler.51143.B.163400673310137.ack <at> debbugs.gnu.org>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
X-Gnu-PR-Message: ack 51143
X-Gnu-PR-Package: emacs
Reply-To: 51143 <at> debbugs.gnu.org
Date: Tue, 12 Oct 2021 02:46:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 51143 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
51143: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D51143
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 12:57:02 +0000
Resent-Message-ID: <handler.51143.B51143.163404341515447 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eduardo Ochs <eduardoochs@HIDDEN>
Cc: michael_heerdegen@HIDDEN, 51143 <at> debbugs.gnu.org
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163404341515447
          (code B ref 51143); Tue, 12 Oct 2021 12:57:02 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Oct 2021 12:56:55 +0000
Received: from localhost ([127.0.0.1]:36778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maHKx-000415-KQ
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:56:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1maHKv-00040j-6d
 for 51143 <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:56:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FgFajf/TSGr1BZiV5/LUyuwCX7heSF/yD+ncZ70gFh8=; b=aKD+Ikxl16GyzA43GBzjlAi5Ne
 qH2exXUUZbxVvh3SFtk1olN1Ri2BGuanHJ5wCF/hlL1AJAydGn7967pmKqTkSL8TV1Y58mD2uHnlI
 WU5LT/rV1Xx0fT3Oyul+UA4XlsRGfzoKr36FKsPRwSXG+OVZOppn+0vAAuvGnRWJU2qU=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1maHKk-00057m-JK; Tue, 12 Oct 2021 14:56:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
X-Now-Playing: The Body and BIG-BRAVE's _Leaving None But Small Birds_:
 "Blackest Crow"
Date: Tue, 12 Oct 2021 14:56:40 +0200
In-Reply-To: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 (Eduardo Ochs's message of "Mon, 11 Oct 2021 23:44:57 -0300")
Message-ID: <87ee8qcsfr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eduardo Ochs <eduardoochs@HIDDEN> writes: > Let me
 summarize.
 The part of "M-x commandname" that takes a long time > is the call to
 `execute-extended-command--shorter'
 - like this: > > (execute-extended-command--shorter "find-eev-quick-intro"
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eduardo Ochs <eduardoochs@HIDDEN> writes:

> Let me summarize. The part of "M-x commandname" that takes a long time
> is the call to `execute-extended-command--shorter' - like this:
>
>   (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")

But it's run like this:

(while-no-input (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui"))

So typing any key should abort it.

I'm not saying we shouldn't make the function shorter, but what's the
use case where this matters to the user?  You mention it affecting
`M-x TAB', but as far as I can see, that function is never called when
doing that?

I tried

M-x debug-on-entry RET execute-extended-command--shorter RET
M-x TAB

and it wasn't called.  Do you have a complete recipe, starting from
"emacs -Q", that demonstrates the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 13:40:02 +0000
Resent-Message-ID: <handler.51143.B51143.163404599427104 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eduardo Ochs <eduardoochs@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Cc: michael_heerdegen@HIDDEN, 51143 <at> debbugs.gnu.org
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163404599427104
          (code B ref 51143); Tue, 12 Oct 2021 13:40:02 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Oct 2021 13:39:54 +0000
Received: from localhost ([127.0.0.1]:39641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maI0X-00072v-If
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 09:39:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maI0Q-00071n-2M
 for 51143 <at> debbugs.gnu.org; Tue, 12 Oct 2021 09:39:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39568)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maI0K-0007xx-7l; Tue, 12 Oct 2021 09:39:40 -0400
Received: from [87.69.77.57] (port=2226 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maI0J-0002qL-Rl; Tue, 12 Oct 2021 09:39:40 -0400
Date: Tue, 12 Oct 2021 16:39:32 +0300
Message-Id: <83ee8qqs4r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 (message from Eduardo Ochs on Mon, 11 Oct 2021 23:44:57 -0300)
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Eduardo Ochs <eduardoochs@HIDDEN>
> Date: Mon, 11 Oct 2021 23:44:57 -0300
> 
> I noticed that when I was invoking commands with M-x commandname and
> using tab for completing parts of the name then sometimes there would
> be a long delay - sometimes as long as 10 seconds, but my laptop is
> quite old - between the RET and the execution of the command. This
> delay was big on emacs28 and practically imperceptible on emacs27, and
> it seemed that it was getting worse in more recent versions of
> emacs28/29.
> 
> I discussed this on help-gnu-emacs before submitting a bug report. The
> main links are these ones:
> 
> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00232.html Edrx
> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00259.html MH
> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00261.html Edrx 2
> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2
> 
> Let me summarize. The part of "M-x commandname" that takes a long time
> is the call to `execute-extended-command--shorter' - like this:
> 
>   (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")
> 
> Michael Heerdegen was able to reproduce the problem and profile it.
> See this message:
> 
> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Stefan, any advice?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 15:57:02 +0000
Resent-Message-ID: <handler.51143.B51143.16340541879188 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: michael_heerdegen@HIDDEN, 51143 <at> debbugs.gnu.org, Eduardo Ochs <eduardoochs@HIDDEN>
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.16340541879188
          (code B ref 51143); Tue, 12 Oct 2021 15:57:02 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Oct 2021 15:56:27 +0000
Received: from localhost ([127.0.0.1]:49944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maK8g-0002O7-LS
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:56:26 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:21575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1maK8R-0002Mg-I5
 for 51143 <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:56:24 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 00D108054C;
 Tue, 12 Oct 2021 11:56:06 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 6EAA3802B7;
 Tue, 12 Oct 2021 11:56:04 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1634054164;
 bh=ZO6YCgXomzfUXRaBqgLikSd13KJo6iE3f3rroqeKI9Q=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=VmfVk6OdJZXMngAotxTCeUh0hsbZHXxjvwnkb3LuJ+ZUo8K1m2JKN69KjERAbXIuY
 OKozN/Nk+wv/VnNKZu/9B4+COF1Vyj7TFcLsyqZF3MvV2BAYr1wKxkx/hSVkK+4PTM
 s1I6syQdNJy4M3khUNCSGn4cVwoXZEALiODl8kmRwksoSwlPI6w4SQdtoKRuXSYlX3
 IoDM9oULjI1pCc227SHCX+EHQqLzN++Zj+wftT7H3l2jOvtwPsbtgkbepfuJrM9vPS
 bXeujBQxNrm4+BxMxFtNf1KSibqAgUKC6RTYtkxgPEQzJnDRZDf4yvS8nvt784YL4u
 BsNkLjoK4/WLg==
Received: from alfajor (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 5F0DD12023C;
 Tue, 12 Oct 2021 11:56:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvv9229r7b.fsf-monnier+emacs@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <83ee8qqs4r.fsf@HIDDEN>
Date: Tue, 12 Oct 2021 11:55:03 -0400
In-Reply-To: <83ee8qqs4r.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 12 Oct
 2021 16:39:32 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.155 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2
> Stefan, any advice?

I already gave some advice in that gnu.emacs.help thread, I don't think
I have much more to add.  Michael's ideas for optimizations are
definitely worth exploring (my intuition suggests the current approach
(shorter-to-longer) is better than the other way around, but I never
bothered to confirm it).


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Eduardo Ochs <eduardoochs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 19:06:01 +0000
Resent-Message-ID: <handler.51143.B51143.163406555224676 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 51143 <at> debbugs.gnu.org
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163406555224676
          (code B ref 51143); Tue, 12 Oct 2021 19:06:01 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Oct 2021 19:05:52 +0000
Received: from localhost ([127.0.0.1]:53675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maN5z-0006Pw-Re
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:05:52 -0400
Received: from mail-pl1-f172.google.com ([209.85.214.172]:42880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eduardoochs@HIDDEN>) id 1maN5y-0006Ph-7m
 for 51143 <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:05:50 -0400
Received: by mail-pl1-f172.google.com with SMTP id l6so176485plh.9
 for <51143 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 12:05:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=JRfI+e5KFhVAa+RUWiqwyC6tcqA5oRF6shAo22fJWKc=;
 b=D2+CYwyOwtiEqRRcZ4jq+M0JKVxdhAo1Vdjn3iM8Red9vAxX105wEsDz1eCY5Yrg/N
 I9mY2MGdVWT74VW0uYR2XMTt8XSM+IXjG17q1PcmrXNRDuN9ypKzyJCG4W4nQdgX4wVx
 ypsOgZjIgGTsTkDIr/nxwJd7fHjTrx8t9pGXPi3rrRRnFvEuGYcTLgReGRlKIWlJ030v
 TCgY3YXoFcxzLsGIonZs1ZDpKWrZ9rvHII6csAxfB7v+iwNN13wf51x4XuQgrLzCna9M
 dGOkosRMiug6cip11+lSyxzmpFyIm8/BvRuPXlVwtwW3XAMzVznSdvRNqZkKn8kHEz7F
 m1FA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=JRfI+e5KFhVAa+RUWiqwyC6tcqA5oRF6shAo22fJWKc=;
 b=6kvi4JXFd0wl7J63CphXiFcKdItZjpR8d/7Z/lgifn1ijftojSkhN0ZHGURUQ0eMpS
 KX1Alzor+BkpIEQoQBa4kILYYH1Np9c1EEKLc8XezOs0hnvb66Jk9UGYrsCvF9CDKwyB
 GCZgEbstRsuJNLcm/btY0Phcrasu8wocTyp/B+0g1OVyi3J1798Irfe5wgvRKaPQYbYR
 OdsMueZornqUJao5F41MlY1NMUNT0OgiT3Px57/DfCF0MEdlQ2+f+LWW/w5itClYyKiZ
 CEj/H5wfQl52Bsa2cf9vIb5NcmhUYAnwJSXWzbAAcqLQ8sei5Kqje1H/XKc2Qyi6I3k4
 YjTQ==
X-Gm-Message-State: AOAM533Eu6/GOCwDfrHO7Qi23GX0165tOC2CbeVrqz3EdIRoeV5V4i9y
 3VzdqwOszFg8815AvvVfIC+8l/jajMi2gtTlrjY=
X-Google-Smtp-Source: ABdhPJxNT5GUYhgATALn8Q5OxUpgYfmhnrZ6tSYOeELC9Zk2ZL9MFntdaFFnpO1fgbXz0FU+8oq7HRns6AHStX83gMs=
X-Received: by 2002:a17:90a:5502:: with SMTP id
 b2mr8171554pji.154.1634065544244; 
 Tue, 12 Oct 2021 12:05:44 -0700 (PDT)
MIME-Version: 1.0
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
In-Reply-To: <87ee8qcsfr.fsf@HIDDEN>
From: Eduardo Ochs <eduardoochs@HIDDEN>
Date: Tue, 12 Oct 2021 16:05:32 -0300
Message-ID: <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, 12 Oct 2021 at 09:56, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> But it's run like this:
>
> (while-no-input (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui"))
>
> So typing any key should abort it.
>
> I'm not saying we shouldn't make the function shorter, but what's the
> use case where this matters to the user?  You mention it affecting
> `M-x TAB', but as far as I can see, that function is never called when
> doing that?
>
> I tried
>
> M-x debug-on-entry RET execute-extended-command--shorter RET
> M-x TAB
>
> and it wasn't called.  Do you have a complete recipe, starting from
> "emacs -Q", that demonstrates the problem?


Hi Lars,

I commit many mistakes when I type, so I prefer recipes that can be
executed by just typing `C-x C-e' at the right places.

The delay is much longer on emacses with more packages loaded and more
functions defined.

If I try to run `M-x find-eev-quick-intro' by typing

  M-x f i n d - e e v - q TAB RET

in an Emacs28 without -Q then the code in `execute-extended-command'
takes 10 seconds to display the message

  You can run the command `find-eev-quick-intro' with `M-x -q-i'

and _ONLY THEN_ it shows the temporary buffer that
find-eev-quick-intro produces. You're right about this being
interruptible by typing a key - I didn't know that trick - but I'm
used to only choose what to type in those buffers after seeing their
contents, so I'll have retrain myself to type, say, <down>, on such
delays, and for me it's easier to just execute

  (setq extended-command-suggest-shorter nil)

when I start to get bothered by such delays than to retrain myself, so
here's one user - me - and one use case - the one above - in which
this matters... =S

There is a recipe here:

  https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00261.html

its main line (plus something that I will explain soon) is:

  (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")
  (execute-extended-command--shorter "find-eev-quick-intro" "123456789012")

`execute-extended-command--shorter' only cares about the length of its
second argument, so using "find-eev-qui" in the second argument is
equivalent to using "123456789012".

The discussion about that bug is happening part here and part in
help-gnu-emacs. See:

  https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00280.html

Cheers,
  E.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 12 Oct 2021 19:20:02 +0000
Resent-Message-ID: <handler.51143.B51143.163406636526281 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eduardo Ochs <eduardoochs@HIDDEN>
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 51143 <at> debbugs.gnu.org
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163406636526281
          (code B ref 51143); Tue, 12 Oct 2021 19:20:02 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Oct 2021 19:19:25 +0000
Received: from localhost ([127.0.0.1]:53764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maNJ7-0006pp-C5
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:19:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1maNJ1-0006pR-BU
 for 51143 <at> debbugs.gnu.org; Tue, 12 Oct 2021 15:19:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xEOylAyVliGL0X4t+jdoUZOmvDLTjfJ9m6z4cxox/7w=; b=ixtJb3wlSSaKTriEWtbWphI9sj
 fAHGT+W7l54iRraoUZsmccw+tK+tp3O+VAx17WNunvkv5s4C9fB2PSoWJ7pTyRDohRDF2CrYymH79
 JXWe3Wf6guQaJtPzVIJvqy8+Bg4itzNmx+4CzGYxHHvNLKuiIzZ78+wKjBy8ACPxuzmE=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1maNIs-0000EY-GR; Tue, 12 Oct 2021 21:19:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
 <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
X-Now-Playing: Espen Reinertsen's _Forgaflingspop_: "Grov =?UTF-8?Q?h=C3=B8st?="
Date: Tue, 12 Oct 2021 21:19:08 +0200
In-Reply-To: <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
 (Eduardo Ochs's message of "Tue, 12 Oct 2021 16:05:32 -0300")
Message-ID: <87r1cq9hlf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eduardo Ochs <eduardoochs@HIDDEN> writes: > If I try to
 run `M-x find-eev-quick-intro' by typing > > M-x f i n d - e e v - q TAB
 RET > > in an Emacs28 without -Q then the code in `execute-extended-command'
 > takes 10 seconds to display the me [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eduardo Ochs <eduardoochs@HIDDEN> writes:

> If I try to run `M-x find-eev-quick-intro' by typing
>
>   M-x f i n d - e e v - q TAB RET
>
> in an Emacs28 without -Q then the code in `execute-extended-command'
> takes 10 seconds to display the message
>
>   You can run the command `find-eev-quick-intro' with `M-x -q-i'

So TAB doesn't take ten seconds?

> and _ONLY THEN_ it shows the temporary buffer that
> find-eev-quick-intro produces.

That's really weird, because `execute-extended-command--shorter' is run
from a timer after the command has finished executed -- so it shouldn't
get in the way of executing the command, no matter how long it takes.

Try to

M-x debug-on-entry RET execute-extended-command--shorter RET
M-x find-eev-quick-intro RET

and post the resulting backtrace.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Oct 2021 03:37:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 23:37:47 2021
Received: from localhost ([127.0.0.1]:51020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfwEc-0001Ya-Qc
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 23:37:46 -0400
Received: from mail-pg1-f170.google.com ([209.85.215.170]:34794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mfwEZ-0001Y7-OA
 for control <at> debbugs.gnu.org; Wed, 27 Oct 2021 23:37:45 -0400
Received: by mail-pg1-f170.google.com with SMTP id h193so5090411pgc.1
 for <control <at> debbugs.gnu.org>; Wed, 27 Oct 2021 20:37:43 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=PgFrylgqU4mrJiEyf6exrlJC47LZkrTfPXS4wdB++4c=;
 b=ERHOjCbAsTBm6arC3wScY8TnhNWWyOsqOC1jjiVQbUYM8xZXvmlh8kl2c+T9B13BCs
 jzq6aE50FnkI5cX11owSU/V8fHgXgEyS4n+smtHRkeMR5dAzSfGLfSVEubfvMxj0hjzx
 3FLd7YsAo5ir9Dl6fO2juCmO3Gy13WzR4RI7EUlrXY08niQDs9s7QGh4RwqBwUhKkp5Q
 aaGvLnVOg8SZBsmLbqKoxPtiNNsNh3pm+Key6fhpcnAqMluHMlHsJrhrXRbkApjxPsKT
 ZcJu0ettol2soCZ7tPckc3ZpAbU8AgJ4yza2kUuqe7Jni010YXqPrhFPFcwVbhcu3P9P
 2/2g==
X-Gm-Message-State: AOAM5304jC8G4SDxaIhxKEcpvkMHjOdju0crWciOJ5WgZsol4FIB4bN7
 s87+tto/7V8mYInARJuzC1dvtGgGjrYuJD74+C4r6xcn
X-Google-Smtp-Source: ABdhPJwtAZw/A3rKUUpUeAVsebhLFQIJb9yVhznnNDUYaD0HbvDBMt7DX4SBdxc7msh6bxAHtKWzUmHpAN/E5FdkiBE=
X-Received: by 2002:a63:370c:: with SMTP id e12mr1325614pga.359.1635392257943; 
 Wed, 27 Oct 2021 20:37:37 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 27 Oct 2021 20:37:37 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Wed, 27 Oct 2021 20:37:37 -0700
Message-ID: <CADwFkmmKgAjaD_k+DvROz18mJ096OHDrZnYWvgr9qg8s_DtSVQ@HIDDEN>
Subject: control message for bug #51143
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 51143 + moreinfo
quit




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Nov 2021 19:27:02 +0000
Resent-Message-ID: <handler.51143.B51143.16382139683710 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Eduardo Ochs <eduardoochs@HIDDEN>
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 51143 <at> debbugs.gnu.org
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.16382139683710
          (code B ref 51143); Mon, 29 Nov 2021 19:27:02 +0000
Received: (at 51143) by debbugs.gnu.org; 29 Nov 2021 19:26:08 +0000
Received: from localhost ([127.0.0.1]:39440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrmHw-0000xm-88
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 14:26:08 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mrmHu-0000wY-Cj
 for 51143 <at> debbugs.gnu.org; Mon, 29 Nov 2021 14:26:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zngqMKVfcmTF4vKFaNlR5G8UzXp8kv0YyHaOS6Uv3Q4=; b=CekBx/kDUJ6wsqrmNfYrK39o+8
 4KoUpKbS3D4vi9MORZoOS0/qo1IKzRei3oM/p8hHEjv3s7IvS0ILtZ7yQqe1K/a9enh1uZjyKisOT
 dEuO29Egw3FN3xTPVcQ24KhMYZ6mQrWWK/CUP4o1tc9CjeHZnEveyQUFFt1QM0w2QEL4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mrmHl-0007lW-Kv; Mon, 29 Nov 2021 20:26:00 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
 <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
 <87r1cq9hlf.fsf@HIDDEN>
X-Now-Playing: Leslie Winer's _When I Hit You, You'll Feel It_: "This Blank
 Action"
Date: Mon, 29 Nov 2021 20:25:55 +0100
In-Reply-To: <87r1cq9hlf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 12 Oct 2021 21:19:08 +0200")
Message-ID: <878rx6sr0c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Try to > > M-x
 debug-on-entry RET execute-extended-command--shorter RET > M-x
 find-eev-quick-intro
 RET > > and post the resulting backtrace. More information was requested,
 but no response was given within a month, so I'm closing this bug report.
 If the problem still exists, please respond to this email and we'll reopen
 the bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Try to
>
> M-x debug-on-entry RET execute-extended-command--shorter RET
> M-x find-eev-quick-intro RET
>
> and post the resulting backtrace.

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Nov 2021 19:26:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 14:26:13 2021
Received: from localhost ([127.0.0.1]:39443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrmI1-0000y2-Ew
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 14:26:13 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mrmHz-0000xc-Fz
 for control <at> debbugs.gnu.org; Mon, 29 Nov 2021 14:26:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rrqNGCq7B1H8M3ltfTdgSHQEFDlLMvZOCLT/HpnIpFw=; b=RKw0ox2HieajeCysZCrbADYJlX
 +wIEQvMraoubFUBykusvgxL+wLCN3+CzGzu2MqVpjO4e5BP/1tUZLaZiStbmgBHIv66XXms7wUWXI
 0vcfNwHCWOwISYgYGYpoOT3NTP3ahqheaHw78GwkSYSb2QIfkO9z2tGnUfjBMNGnI980=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mrmHr-0007lk-N5
 for control <at> debbugs.gnu.org; Mon, 29 Nov 2021 20:26:06 +0100
Date: Mon, 29 Nov 2021 20:26:03 +0100
Message-Id: <877dcqsr04.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #51143
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 51143 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 51143 
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Michael Heerdegen <michael_heerdegen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Nov 2021 20:12:01 +0000
Resent-Message-ID: <handler.51143.B51143.163821670625387 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 51143 <at> debbugs.gnu.org, Eduardo Ochs <eduardoochs@HIDDEN>
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163821670625387
          (code B ref 51143); Mon, 29 Nov 2021 20:12:01 +0000
Received: (at 51143) by debbugs.gnu.org; 29 Nov 2021 20:11:46 +0000
Received: from localhost ([127.0.0.1]:39545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrn06-0006bO-Gh
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:11:46 -0500
Received: from mout.web.de ([212.227.15.4]:53187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1mrn05-0006bB-73
 for 51143 <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:11:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1638216698;
 bh=3jKF5PaTWMdMtsYGUrepiymEKDr8b5xlgY8gEdbfsEs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=M6d11I6RG+JBLebyRl5x1zG74YWU/mzMeRaxSqmJrkdBsp52Jp/NF71hvXqzybJbn
 Yf0/HQWmhru33FnFaSIQrAmek2/EDDIPGzpdYV6cxMswOAOzfPYae/DV932YC6X9UA
 xhFM/ukry22tgkRGxYpTRn/f8pc3sxYZLiEERxp4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.225.87]) by smtp.web.de (mrweb006
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MFrxr-1moiqj040l-00HE7S; Mon, 29
 Nov 2021 21:11:38 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
 <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
 <87r1cq9hlf.fsf@HIDDEN> <878rx6sr0c.fsf@HIDDEN>
Date: Mon, 29 Nov 2021 21:11:35 +0100
In-Reply-To: <878rx6sr0c.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 29 Nov 2021 20:25:55 +0100")
Message-ID: <87bl22g1s8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:C1KLOC/p+GMSGGz+jDbdDH/qWmp46tfFviNAEACPz63C7WDOa97
 hzXAe0ZhCt2TycnfojZimBbmvXnO8+CcV5xswLhHndAu4mXcCE/6UcsCbAUdwIMdI51ROYm
 Ikm6mRXb6UhQltn8R7XNuoesYNsBX1gSA74Sh7auam8YQiGWqbzngDCf7TY5RoepHSq3CX3
 Gyjw2xmySkF0eY6tjeRUA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:xOwjY6HedFM=:tb4MZRIekLO71WymCp8vus
 7GJwj4s6h2J5Wrqpui2RhGgk+jInSFrI2XdjOTNY4L2+vZb0mlUMBZbMsMKtvflAW8abzo7+E
 1soJ56XEdmKU0j01vkZhwR/m3VNPv8f2wMZYCdO4el/LwHCvQCk9gyZ1UfakLf0JmivlxvCMG
 +0CodmWS7TBX42h6nbNGMJFxw9zaYjyV9BoXT6CuRZ5R8xFpF758CLOvrCm+MeAORh/Wjyy+v
 7oByC8yfPY1zXQ4g5j/AiVBbiXwrKNjlOslWnYc2D3OTR8KLOFhKBHbWWDlRtQqtR9gnrx1vV
 px2ABJ9+Y+3kLPhvhdy98a6DaKZFyoR/iOWWOO4RNig896iRe+3Mhq4ayuemNoLuua3fJEr0o
 av9itMUHCcNOol0ddLc9H5YyNWZkag1hTv5jUShvEmVskevYF/qQ6M2fV3nNJVmGfEsQ9IdqF
 bnVdPQ+Fp6PUdGmBh7oYITduqZK+0L8uiT94YsBoNH3s+wcOFUCwitWeeOoXMxHSYYzyBekdE
 eC5atX4ptFc30F2g3L35nKKd582pfp8wSnegBv987SS4uUbaYN+eDSf7z0OW8GaDtSq0pQ4/W
 dO0VREjPXD1wykn0Yw5rVREikC7raKpQnBG5y4A1mlPaHRn83OqDNwfAAFUyXfGrIEhXUF/sP
 4fsBcE7EE6ipSIglqTfuwYBfIQ78RYLwOuFCmjMPY61xJEObCcbUsHfIUIzxmrlWrWzuKFsZF
 GNkR5RT9bfQmf4g7ItKH6QI7wMM5nfk3GqT1e6ipJ4iUHpOWy7F08IstRucnsPoK6yjlEtBOj
 iRDwAq2zFc22JtoyVzpcjZoWO3yEFqHckTcKVP5+DmwhnLWtqDAIoLAK+261BDkIFioUpf+cY
 WUIApiqHPXJuXIKxJxtJUZTGj994xSDTBp3re8FAqhjpvOELlr0g5GD6ZBHBiTBNPyJX5PHRF
 TbaA/KqN34PkUxE8Xk3vHO8uUbPCsdOvIjDBlSOO1mORbF9KHmc1taQCmbo72am6SYLyMYwcn
 1O97POlWPcRUC0K7f5VB9vKslupTAZRVDMoCPFRCfuKOdrQrRzcmIt7Zm/j9fVl9gWSNhYQ6C
 rbjC7Wwrg1ma2w=
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> More information was requested, but no response was given within a
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

I could reproduce the issue and I had some ideas how to improve the
situation, please reopen.

Michael.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 29 Nov 2021 20:14:01 +0000
Resent-Message-ID: <handler.51143.B51143.163821681125596 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Cc: 51143 <at> debbugs.gnu.org, Eduardo Ochs <eduardoochs@HIDDEN>
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.163821681125596
          (code B ref 51143); Mon, 29 Nov 2021 20:14:01 +0000
Received: (at 51143) by debbugs.gnu.org; 29 Nov 2021 20:13:31 +0000
Received: from localhost ([127.0.0.1]:39558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrn1n-0006eh-Nw
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:13:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mrn1m-0006eK-C8
 for 51143 <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:13:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iY0lByvS3GTopmyC9BqPmy+g/ZI4Xf81IonEY8DpqDE=; b=INUuJ6MHRdTNfaD/B2nYeI+Zxu
 pF45HMEHEqRh7QucDjIEpkGMsJ4arRUpnpyNPPMpJIpLJO57mNn+g9KmV0Uw6msrs+bDWnlSt5wYx
 fVsYUaPFKChHtDfiHpY+T4k6FBecjtDA+Jr5ayYpx9oIO/NdliCcnCDoI6B6Mezg93oE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mrn1e-000848-0L; Mon, 29 Nov 2021 21:13:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
 <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
 <87r1cq9hlf.fsf@HIDDEN> <878rx6sr0c.fsf@HIDDEN>
 <87bl22g1s8.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUJCAkqKiofHx8e
 HiBISEdAPz7///+cw1o9AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+ULHRQND2HA9rIAAAGQSURBVDjL
 5VNBchwhDBRSHjDA+g5DHiBoPyAb+wOpyv/fkgbW5XXKe3BVbpma2Rm6JTUttCL/z3U8Isr6xSM6
 PabGF+TDj0/AzMf8n1mEtA/rXbnH+FvqtW65N7Mae6zTOp6j3zmsV3S2yhqxGN/x+Ep05H7Cq0v4
 +U4sCfAmAbm84dfpLTZC1tKLtfC0t/OddTClucwNXE29uSE+PZV6AlRezNIPBys8abE20BQjdfGV
 Qrb0FN0KnVUchmxG0EoIlHDC2kTTITXBLy7P5cxgLGSYFjkPRwS+sb7NqNkwhXRHFrtk2z5sNqk3
 ldFHzJGE79A5OOOkzuCIxAPhxdgzM8GpSBJSGVH6xavksRtssFFo99Qs4VV6hsP3QRnHIBzdprJr
 R18ixgDKaFGPg5/BkdZhoTKncW8YOTvT3TN0ZdxGs2gePrhGVL0bh2KagxMZ9VRanC7txsHmOwA3
 67LfmQfi41fC/ifMIF/xaaqdMZW/Js50RnpYiN8RzKVPn2XbjZC7zZVJoPmHYuvLppGMP6M+Mp5c
 oDFnAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTExLTI5VDIwOjEzOjE1KzAwOjAw9TOoYgAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMS0yOVQyMDoxMzoxNSswMDowMIRuEN4AAAAASUVORK5CYII=
X-Now-Playing: Alasdair Roberts og =?UTF-8?Q?V=C3=B6lvur's?= _The Old Fabled
 River_: "The Tender Hour"
Date: Mon, 29 Nov 2021 21:13:21 +0100
In-Reply-To: <87bl22g1s8.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 29
 Nov 2021 21:11:35 +0100")
Message-ID: <87fsrera8u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > I
 could
 reproduce the issue and I had some ideas how to improve the > situation,
 please reopen. OK; reopened. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> I could reproduce the issue and I had some ideas how to improve the
> situation, please reopen.

OK; reopened.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Mon, 29 Nov 2021 20:14:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Nov 2021 20:13:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 15:13:31 2021
Received: from localhost ([127.0.0.1]:39556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrn1n-0006ea-HM
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:13:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mrn1a-0006dx-Qe
 for control <at> debbugs.gnu.org; Mon, 29 Nov 2021 15:13:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nOTNgqF/P//D/0rSduz4UFyMPeVou+wBvYsLgGhDAow=; b=ZLhkeSGm9771cXdzgT5bv4em1M
 E49fXX3cM81vMQq/kJnkQ/oddvj1wAsyyXzbw3KMM04GdzrAnQsaXCPsPhymugJwCTG2Crh4vGJFF
 1DqO4dBc6lvxvrRCGfMHO6N0txI/2U9enHn6HAW7RHz1RcEkyUI3f3V1VrLVYwrPUKcs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mrn1S-000841-TH
 for control <at> debbugs.gnu.org; Mon, 29 Nov 2021 21:13:13 +0100
Date: Mon, 29 Nov 2021 21:13:10 +0100
Message-Id: <87k0gqra95.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #51143
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 51143 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 51143 - moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#51143: 29.0.50; Long delay after M-x commandname
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 12 Sep 2022 11:51:02 +0000
Resent-Message-ID: <handler.51143.B51143.166298342414639 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 51143
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Cc: 51143 <at> debbugs.gnu.org, Eduardo Ochs <eduardoochs@HIDDEN>
Received: via spool by 51143-submit <at> debbugs.gnu.org id=B51143.166298342414639
          (code B ref 51143); Mon, 12 Sep 2022 11:51:02 +0000
Received: (at 51143) by debbugs.gnu.org; 12 Sep 2022 11:50:24 +0000
Received: from localhost ([127.0.0.1]:44423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXhxH-0003o2-Qu
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 07:50:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oXhxG-0003nb-7l
 for 51143 <at> debbugs.gnu.org; Mon, 12 Sep 2022 07:50:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ArdfJEBel/E1lMI5+4RGVB0rjCbwOuiNC/eHGHEAzaU=; b=pXo4zTHBbQYA0+nRncGOtaiLxS
 aKH3Z6rU9L+9V4s75rz3aBKgEX99iOWz7PkED+882ffGA6lqAbKbRUo9rCz8iqNZ1g7rTdhem4EuW
 hDZr2tfaZTVMVuAquRhB7FRd186FoMHSbcT4pFUjpn0NCGUNi9XtXEZcy0fdY7/95IvI=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oXhx8-0005nd-4K; Mon, 12 Sep 2022 13:50:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87bl22g1s8.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 29
 Nov 2021 21:11:35 +0100")
References: <CADs++6gr9J3OuNP5KZWnijZuCXO_yaagsE5oPEvYfiQR7ggniw@HIDDEN>
 <87ee8qcsfr.fsf@HIDDEN>
 <CADs++6jocdmA29v8ioXPpQpiMUPSdUDzNJbvtNYq+PZx58E+JQ@HIDDEN>
 <87r1cq9hlf.fsf@HIDDEN> <878rx6sr0c.fsf@HIDDEN>
 <87bl22g1s8.fsf@HIDDEN>
X-Now-Playing: Moor Mother's _Jazz Codes_: "Woody Shaw (feat Melanie Charles)"
Date: Mon, 12 Sep 2022 13:50:13 +0200
Message-ID: <87pmg07qx6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >> More
 information was requested, but no response was given within a >> month, so
 I'm closing this bug report. If the problem still exists, >> please respond
 to this email and we'll reopen the bug re [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

>> More information was requested, but no response was given within a
>> month, so I'm closing this bug report.  If the problem still exists,
>> please respond to this email and we'll reopen the bug report.
>
> I could reproduce the issue and I had some ideas how to improve the
> situation, please reopen.

This was almost a year ago -- do you have a recipe to reproduce the
problem?




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Sep 2022 11:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 07:50:28 2022
Received: from localhost ([127.0.0.1]:44426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXhxM-0003oO-4J
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 07:50:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oXhxK-0003nq-Lu
 for control <at> debbugs.gnu.org; Mon, 12 Sep 2022 07:50:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PgFrylgqU4mrJiEyf6exrlJC47LZkrTfPXS4wdB++4c=; b=Bz4VRzwOx+5lXPcnyokbTfkTO7
 BGUmAvZtq/elrn7gs4vz6g3DGx03M8tYPjodhzYNf4c0F5IH32H8lgkeP3AMY4KdwsT8+qRHhIHae
 yguqUVPnlbh2dPRm5rPqfMJMDjdEBIu2dqCd7uNxEQ9GMdxTN7IVRXTW7NV/EDWnCzVc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1oXhxD-0005nm-0K
 for control <at> debbugs.gnu.org; Mon, 12 Sep 2022 13:50:21 +0200
Date: Mon, 12 Sep 2022 13:50:18 +0200
Message-Id: <87o7vk7qx1.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #51143
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 51143 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 51143 + moreinfo
quit






Last modified: Mon, 12 Sep 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.